Đến nội dung


Hình ảnh
- - - - -

lisp tính khoảng cách giữa 2 điểm trên đường cong Pline


  • Please log in to reply
10 replies to this topic

#1 buratino2008

buratino2008

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 03:33 PM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều
  • 0

#2 doanduyhung

doanduyhung

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 11 November 2009 - 04:08 PM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều


Thử xem:
(defun c:asd(/)
(princ "\nChon Polyline")
(setq chonpl (ssget))
(setq chondiemdau (getpoint "\nChon Diem Dau:"))
(setq chondiemcuoi (getpoint "\nChon Diem Cuoi:"))
(setq chieudai (abs (- (vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemdau)
(vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemcuoi)
)
)
)
(princ (strcat "\n" (rtos chieudai)))
)
  • 0

#3 buratino2008

buratino2008

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 04:18 PM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

không được rùi bạn ơi.Dù sao cũng cảm ơn bạn nha
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 November 2009 - 04:28 PM

không được rùi bạn ơi.Dù sao cũng cảm ơn bạn nha

Bạn thêm dòng (vl-load-com) dưới dòng : (defun c:asd(/)

Thử xem:
(defun c:asd(/)
(princ "\nChon Polyline")
(setq chonpl (ssget))
(setq chondiemdau (getpoint "\nChon Diem Dau:"))
(setq chondiemcuoi (getpoint "\nChon Diem Cuoi:"))
(setq chieudai (abs (- (vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemdau)
(vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemcuoi)
)
)
)
(princ (strcat "\n" (rtos chieudai)))
)

:tongue2:
  • 0

#5 buratino2008

buratino2008

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 04:42 PM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

cũng không được bạn ạ. mình cần nó hiên lên text box thông báo khoảng cách sau khi thực hiên lệnh. ai giúp được thì cảm ơn
  • 0

#6 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 November 2009 - 04:50 PM

Nhắc nhở bạn buratino2008 : Bạn không được post 1 nội dung mà cả ở 3 topic khác nhau.

Bạn tham gia vào CADVIET, chắc rằng đầu tiên bạn đã đọc được dòng này :

Thể lệ tham gia cadviet
1. Không làm những việc trái với pháp luật nước Việt Nam.
2. Không làm những việc trái với lương tâm của bạn.
3. Sử dụng tiếng Việt có dấu khi post bài và không reply bài không có dấu.
4. Sử dụng chức năng search để tránh post lặp nội dung đã có.
5. Nhận lời cảm ơn của cadviet.

Bạn đã không những không sử dụng chức năng search của diễn đàn mà còn tự lập ra 3 topic có cùng 1 nội dung. Mời bạn vào đây : http://www.cadviet.c...amp;#entry77344
  • 0

#7 buratino2008

buratino2008

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 04:58 PM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

Sorry! Mình sẽ rút kinh nghiệm.
  • 0

#8 buratino2008

buratino2008

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 05:03 PM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

mọi người cố gắng giúp mình nha.thanks
  • 0

#9 haisihai

haisihai

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 11 November 2009 - 06:30 PM

mọi người cố gắng giúp mình nha.thanks


____________________________________________________________
Cách đây không lâu Tôi có đề tài tương đối giống câu hỏi của Anh. Anh vào phần VBA thì sẽ thấy câu hỏi của Anh trong mục này. Chúc Anh thành công.
  • 0

#10 buratino2008

buratino2008

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 November 2009 - 08:32 AM

em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

sao không co ai giup mình vậy
  • 0

#11 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 12 November 2009 - 08:39 AM

cũng không được bạn ạ. mình cần nó hiên lên text box thông báo khoảng cách sau khi thực hiên lệnh. ai giúp được thì cảm ơn

Bạn muốn hiện lên thông báo thì đây:
(defun c:asd(/)
(vl-load-com)
(princ "\nChon Polyline")
(setq chonpl (ssget))
(setq chondiemdau (getpoint "\nChon Diem Dau:"))
(setq chondiemcuoi (getpoint "\nChon Diem Cuoi:"))
(setq chieudai (abs (- (vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemdau)
(vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemcuoi)
)
)
)
(alert (strcat "Khoang cach giua 2 diem vua chon la: " (rtos chieudai)))
)
  • 1